Bug 493728 - samba needs patch to make it so that POSIX opens work correctly
samba needs patch to make it so that POSIX opens work correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Guenther Deschner
BaseOS QE
:
Depends On: 450015
Blocks: 493962 740832 743467
  Show dependency treegraph
 
Reported: 2009-04-02 16:38 EDT by Jeff Layton
Modified: 2014-06-18 03:38 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 450015
: 493962 740832 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jeff Layton 2009-04-02 16:42:31 EDT
There was a bug in posix open / create calls that JRA and I discovered at Connectathon this year. I'm preparing to add patches to CIFS in RHEL5.4 to make it use POSIX open calls.

When CIFS does this and the server is broken, it pops a printk:

CIFS VFS: server 10.10.10.10 of type Samba  3.0.33-3.7.el5 returned unexpected error on SMB posix open, disabling posix open support. Check if server update available.

...obviously it would be good if 5.4's samba didn't cause this to pop.

I'll see if I can find the commit...
Comment 2 Jeff Layton 2009-04-02 16:49:10 EDT
Upstream commit in master branch:

commit 3d7cde5dd3603ba3a7e78e8ca9a28d5bbf816b80
Author: Jeremy Allison <jra@samba.org>
Date:   Wed Feb 25 12:53:45 2009 -0800

    Fix bug in processing of open modes in POSIX open.
    Was missing case of "If file exists open. If file doesn't exist error."
    Damn damn damn. CIFSFS client will have to have fallback cases
    for this error for a long time.
    Jeremy.

:100644 100644 433b8a0... 369830b... M  source3/smbd/trans2.c
Comment 15 errata-xmlrpc 2009-09-02 07:54:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1416.html

Note You need to log in before you can comment on or make changes to this bug.